Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
cert::ServerSSLCert::ReqInfo Struct Reference

Certificate signing request information. More...

`import <ServerSSLCert.idl;`

## Public Attributes
CommonAttributes | subject
| Certificate subject attributes.
vector< string > | names
| DNS names and/or IP addresses.
KeyInfo | keyInfo
| Key information.

## Detailed Description

Certificate signing request information.

If names is empty then commonName from the subject is used as single entry.

Definition at line 80 of file ServerSSLCert.idl.

## Member Data Documentation

## ◆ keyInfo

KeyInfo cert::ServerSSLCert::ReqInfo::keyInfo

Key information.

Definition at line 83 of file ServerSSLCert.idl.

## ◆ names

vector<string> cert::ServerSSLCert::ReqInfo::names

DNS names and/or IP addresses.

Definition at line 82 of file ServerSSLCert.idl.

## ◆ subject

CommonAttributes cert::ServerSSLCert::ReqInfo::subject

Certificate subject attributes.

Definition at line 81 of file ServerSSLCert.idl.

The documentation for this struct was generated from the following file:

- ServerSSLCert.idl